Subject: bug#5721: Feature request: Function that returns absolute coordinates

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Oct 2013 23:25:20 +0300

> From: Andreas Politz <[email-masked]>
> Date: Thu, 03 Oct 2013 19:25:06 +0200
> Cc: [email-masked]
> 
> I made another patch, see below.  I build it with GTK and X-tool-kit and
> tested it on Xmonad, fluxbox and compiz, also on Windows 7.  In all
> cases `window-inside-absolute-pixel-edges' seems to report the correct
> x-y values, i.e. the absolute position of the beginning of the text
> area.

Thanks.

The code conditioned by WINDOWSNT should instead be conditioned by
NTGUI, since the same code should run for Cygwin built --with-w32.

Also, I wonder why you aren't testing the frame type here -- this code
should DTRT for TTYs as well, right?  Or is it certain that this code
will never run except in a GUI session?